.page {
    overflow: visible;
    background-color: var(--bg-white);
}

.detail_top {
    padding-top: 180px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.detail_cate {
    padding: 10px 20px;
    background-color: var(--gray-500);
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.detail_title {
    margin-top: 40px;
    font-size: var(--ft40);
    font-weight: var(--semi-bold);
    text-align: center;
}
.detail_date {
    margin-top: 40px;
    font-size: var(--ft18);
    color: var(--gray-400);
    text-align: center;
}

.flex {
    width: 100%;
    margin-top: 80px;
    display: flex;
    gap: 40px;
}

/*-- detail_wrap --*/
.detail_wrap {
    width: 100%;
    padding: 80px 100px 100px;
    background-color: #E0E0E0;
}
.detail_tag {
    margin-bottom: 70px;
}
.detail_tag .tag_list {
    margin-top: 12px;
    flex-wrap: wrap;
}
.detail_tag .tag_list li {
    background-color: rgba(255, 255, 255, .5);
}
.ck-content * {
    line-height: 1.5;
}
.ck-content p {
    font-size: var(--ft18);
}

.sns_list {
    margin-top: 80px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}
.sns_list li {
    width: 100%;
    background-color: var(--white);
}
.sns_list a {
    padding: 30px;
}
.sns_top {
    display: flex;
    justify-content: space-between;
    align-items: start;
}
.sns_top p {
    font-size: var(--ft20);
}
.sns_icon {
    width: 36px;
    height: 36px;
}
.sns_list .link {
    margin-top: 20px;
    font-size: var(--ft16);
    color: var(--gray-400);
}

.more_list {
    margin-top: 60px;
    padding-top: 40px;
    border-top: 1px solid var(--gray-300);
    display: flex;
    justify-content: space-between;
    gap: 100px;
}
.more_list li {
    width: 100%;
}
.more_list li.next .list_top {
    justify-content: end;
}
.list_top {
    margin-bottom: 16px;
    display: flex;
    align-items: center;
    gap: 8px;
}
.list_top img {
    width: 16px;
    height: 16px;
}
.list_top p {
    font-size: var(--ft20);
    color: var(--gray-500);   
}
.more_list li.next > p, 
.more_list li.next a > p {
    text-align: right;
} 
.more_list li.null {
    opacity: .5;
}

.list_btn {
    width: fit-content;
    margin: 80px auto 0;
    background-color: var(--gray-500);
}
.list_btn a {
    padding: 10px 20px;
    font-size: var(--ft20);
    color: var(--white);
}

/*-- detail_aside --*/
.detail_aside {
    width: 440px;
    flex-shrink: 0;
    position: relative;
}
.detail_aside .sticky {
    margin-top: 20px;
    height: fit-content;
    position: sticky;
    top: 100px;
    right: 0;
}
.detail_more_title {
    margin-bottom: 24px;
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
    display: flex;
    align-items: center;
    gap: 12px;
    line-height: 1;
}
.detail_more_title::before {
    content: '';
    display: block;
    width: 6px;
    height: 6px;
    background-color: var(--gray-500);
}
.detail_swiper {
    overflow: hidden;
}
.insight_box {
    max-width: 380px;
}
.swiper_pagination {
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid #CCCCCC;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
}
.swiper_prev,
.swiper_next {
    width: 32px;
    height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: .5;
    transition: opacity .4s ease;
    cursor: pointer;
}
.swiper_prev img,
.swiper_next img {
    width: 16px;
    height: 16px;
}
.swiper_prev:hover,
.swiper_next:hover {
    opacity: 1;
}
.pagination_num {
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
    color: var(--gray-400);
}
.swiper-pagination-current {
    color: var(--gray-500);
}
.insight_cate {
    font-size: var(--ft14);
}

.detail_more {
    width: 100%;
    padding: 30px;
    background-color: #E0E0E0;
}
.insight_box:hover .insight_img_wrap {
    padding: 10px;
}
.tag_wrap::after {
    background: linear-gradient(270deg, #E0E0E0 0%, rgba(245, 245, 245, 0.00) 100%);
}
.detail_more .tag_list li {
    background-color: rgba(255, 255, 255, .5);
}

.aside_btn {
    margin-top: 10px;
    width: 100%;
    background-color: var(--gray-500);
}
.aside_btn a {
    padding: 16px 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.aside_btn p {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.aside_btn img {
   width: 14px;
   height: 14px; 
}
.insight {
    margin-top: 28px;
    text-align: center;
    font-size: var(--ft20);
    color: var(--gray-300);
}

@media all and (max-width: 1600px) {
    .detail_wrap {
        padding: 80px;
    }
    .detail_aside {
        width: 420px;
    }
}

@media all and (max-width: 1400px) {
    .detail_top {
        padding-top: 160px;
    }
    .detail_cate {
        font-size: var(--ft18);
    }
    .detail_title {
        margin-top: 32px;
        font-size: var(--ft32);
    }
    .detail_date {
        margin-top: 32px;
    }
    .flex {
        margin-top: 50px;
    }
    .detail_wrap {
        padding: 80px 50px;
    }
    .sns_list {
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }
    .more_list {
        padding-top: 20px;
        flex-direction: column;
        align-items: start;
        gap: 20px;
    }
    .list_top img {
        display: none;
    }
    .more_list li.next .list_top {
        justify-content: start;
    }
    .more_list li.next > p, .more_list li.next a > p {
        text-align: start;
    }
    .more_list li.next {
        margin-top: 20px;
        position: relative;
    }
    .more_list li.next::before {
        content: '';
        display: block;
        width: 100%;
        height: 1px;
        background-color: var(--gray-300);
        position: absolute;
        top: -20px;
        left: 0;
    }
}

@media all and (max-width: 1200px) {
    .detail_wrap {
        padding: 60px 30px;
    }
    .detail_aside {
        width: 350px;
    }
    .detail_more {
        padding: 28px;
    }
    .swiper_pagination {
        margin-top: 24px;
    }
}

@media all and (max-width: 1024px) {
    .flex {
        flex-direction: column;
    }
    .detail_aside {
        width: 100%;
    }
    .detail_aside .sticky {
        position: static;
    }
    .insight_box {
        max-width: 100%;
    }
}

@media all and (max-width: 768px) {
    .detail_top {
        padding-top: 100px;
    }
    .detail_cate {
        padding: 6px 10px;
        font-size: var(--ft16);
    }
    .detail_title {
        margin-top: 18px;
        font-size: var(--ft28);
    }
    .detail_date {
        margin-top: 18px;
    }
    .flex {
        margin-top: 32px;
    }
    .detail_tag {
        margin-bottom: 40px;
    }
    .detail_wrap {
        padding: 40px 20px;
    }
    .sns_list {
        margin-top: 40px;
    }
    .sns_list a {
        padding: 20px;
    }
    .sns_top p {
        font-size: var(--ft16);
    }
    .sns_icon {
        width: 24px;
        height: 24px;
    }
    .sns_list .link {
        margin-top: 14px;
        font-size: var(--ft14);
    }
    .more_list {
        margin-top: 40px;
    }
    .list_top {
        margin-bottom: 10px;
    }
    .list_top p {
        font-size: var(--ft14);
    }
    .list_btn {
        width: 100%;
        margin-top: 40px;
    }
    .list_btn a {
        font-size: var(--ft16);
        text-align: center;
    }

    .detail_more {
        padding: 20px;
    }
    .aside_btn a {
        padding: 16px 20px;
    }

    .insight_box:hover .insight_img_wrap {
        padding: 0;
    }
    .insight_box:hover .insight_img img {
        transform: scale(1);
    }
    .insight_box:hover .insight_hover {
        opacity: 0;
    }
    .insight_title {
        margin-top: 18px;
    }
    .insight_tag {
        margin-top: 18px;
    }

    .detail_more_title {
        gap: 6px;
    }
}